---
title: "Les chaînes de caractère"
weight: 8  
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<div id="création" class="section level3">
<h3>Création</h3>
<pre class="r"><code>x=&#39;Bonjour&#39;
y=&quot;Au revoir&quot;</code></pre>
<p>L’échappement des caractères spéciaux</p>
<pre class="r"><code>x=&#39;Gif\\Yvettes&#39;
x</code></pre>
<pre><code>## [1] &quot;Gif\\Yvettes&quot;</code></pre>
<pre class="r"><code>cat(x)</code></pre>
<pre><code>## Gif\Yvettes</code></pre>
</div>
<div id="opérations" class="section level3">
<h3>Opérations</h3>
<ul>
<li>Concaténation</li>
</ul>
<pre class="r"><code>paste(&#39;Nom&#39;,&#39;prénom&#39;)
paste(&#39;Nom&#39;,&#39;prénom&#39;,sep=&#39;|&#39;)
paste0(&#39;Nom&#39;,&#39; &#39;,&#39;prénom&#39;)</code></pre>
<ul>
<li>Ordre lexicographique</li>
</ul>
<pre class="r"><code>&#39;a&#39;&lt;&#39;b&#39;
&#39;France&#39;&gt;&#39;Alaska&#39;
max(&#39;Pieusse&#39;,&#39;Paris&#39;,&#39;Lyon&#39;,&#39;Marseille&#39;)</code></pre>
<ul>
<li>Extraction</li>
</ul>
<pre class="r"><code>substr(&#39;78117&#39;,start = 1,stop = 2)</code></pre>
<pre><code>## [1] &quot;78&quot;</code></pre>
<pre class="r"><code>substr(&#39;78117&#39;,1,2)</code></pre>
<pre><code>## [1] &quot;78&quot;</code></pre>
<pre class="r"><code>nchar(&#39;78117&#39;)</code></pre>
<pre><code>## [1] 5</code></pre>
<pre class="r"><code>&#39;78117&#39;|&gt;(function(x){substr(x,nchar(x)-2,nchar(x))})()</code></pre>
<pre><code>## [1] &quot;117&quot;</code></pre>
<ul>
<li>Recherche, remplacement</li>
</ul>
<pre class="r"><code>gsub(pattern = &#39;xls&#39;,replacement = &#39;rda&#39;,x=&#39;fichier.xls&#39;)</code></pre>
<pre><code>## [1] &quot;fichier.rda&quot;</code></pre>
<pre class="r"><code>grepl(&#39;to&#39;,&#39;atototata&#39;)</code></pre>
<pre><code>## [1] TRUE</code></pre>
</div>
